Bug 681738 - [abrt] libreoffice-calc-3.3.1.2-1.fc15: __libc_start_main: Process /usr/lib64/libreoffice/program/scalc.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-calc-3.3.1.2-1.fc15: __libc_start_main: Process /usr/lib64...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:d0df4390f763af77b63d5a5ad7e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-03 00:24 EST by David Le Sage
Modified: 2011-03-08 22:15 EST (History)
3 users (show)

See Also:
Fixed In Version: libreoffice-3.3.1.2-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-08 22:15:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (31.05 KB, text/plain)
2011-03-03 00:24 EST, David Le Sage
no flags Details

  None (edit)
Description David Le Sage 2011-03-03 00:24:01 EST
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 31791 bytes
cmdline: /usr/lib64/libreoffice/program/scalc.bin -calc
component: libreoffice
Attached file: coredump, 108191744 bytes
crash_function: __libc_start_main
executable: /usr/lib64/libreoffice/program/scalc.bin
kernel: 2.6.38-0.rc6.git4.1.fc15.x86_64
package: libreoffice-calc-3.3.1.2-1.fc15
rating: 4
reason: Process /usr/lib64/libreoffice/program/scalc.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 15 (Lovelock)
time: 1299124329
uid: 500

How to reproduce
-----
1. Crashed when I attempted to exit the program.  I had had one very simple spreadsheet open (multiple worksheets, few formulae and no macros).
Comment 1 David Le Sage 2011-03-03 00:24:05 EST
Created attachment 481990 [details]
File: backtrace
Comment 2 Caolan McNamara 2011-03-03 04:52:40 EST
Hum, this is a thread spawned off to write config changes post-exit. I think I've a patch that might avoid that.
Comment 3 Caolan McNamara 2011-03-03 04:56:12 EST
Will have that in 3.3.1.2.2
Comment 4 Fedora Update System 2011-03-03 12:19:49 EST
Package libreoffice-3.3.1.2-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.3.1.2-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/libreoffice-3.3.1.2-3.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-03-04 04:53:39 EST
libreoffice-3.3.1.2-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libreoffice'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libreoffice-3.3.1.2-3.fc15
Comment 6 Fedora Update System 2011-03-08 22:15:03 EST
libreoffice-3.3.1.2-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.